<?php
class ControllerPaymentPagamentoDigitalPayment extends Controller {
 	public function index() {
				
		if( isset($this->session->data['order_id']) && ( ! empty($this->session->data['order_id']))  ) {
				$this->session->data['last_order_id'] = $this->session->data['order_id'];
			}
			
			if (isset($this->session->data['order_id'])) {
				$this->cart->clear();
				
				unset($this->session->data['shipping_method']);
				unset($this->session->data['shipping_methods']);
				unset($this->session->data['payment_method']);
				unset($this->session->data['payment_methods']);
				unset($this->session->data['guest']);
				unset($this->session->data['comment']);
				unset($this->session->data['order_id']);	
				unset($this->session->data['coupon']);
				unset($this->session->data['reward']);
				unset($this->session->data['voucher']);
				unset($this->session->data['vouchers']);
			}	
		
		$this->document->setTitle($this->language->get('Bcash'));
		
		$this->data['breadcrumbs'] = array();

		if (! empty($this->session->data['last_order_id']) ) {
			$this->data['heading_title'] = "";
		} else {
    		$this->data['heading_title'] = $this->language->get('heading_title');
		}
		
		$teste_url    = explode("index.php", $_SERVER['REQUEST_URI']);
		$url_pedidos = $teste_url[0]."index.php?route=account/order";
		
		?>
			<style>
				#overlay-bcash { 
					background-image: url('overlay.png');
					display: block;
					position: absolute;
					top: 0px;
					left: 0px;
					width: 100%;
					height: 100%;
					z-index: 10000000;
				}
				#lightbox { 
					background-color: #fff;
					padding: 10px;
					width: 95%;
					height: 90%;
					margin-top: 25px;
				}
				#close_overlay_bcash { 
					position: relative; 
					margin-left: 99%; 
					margin-top: -20px;
				}
			</style>
			</header>
			<?
			
		$this->data['button_continue'] = $this->language->get('button_continue');

		$this->data['continue'] = $this->url->link('common/home');

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/common/success.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/common/success.tpl';
		} else {
			$this->template = 'default/template/common/success.tpl';
		}
		
		$this->children = array(
			'common/column_left',
			'common/column_right',
			'common/content_top',
			'common/content_bottom',
			'common/footer',
			'common/header'			
		);
				
		$this->data['text_message'] = "<body onload=\"document.getElementById('bcash').click();\"> <div align=\"center\"><strong>PAGAMENTO COM BCASH</strong></div>
			<br><div align=\"justify\">Utilizamos o que há de mais moderno em soluções para manter a segurança durante sua compra. Você irá efetuar o pagamento diretamente no Site Seguro do Bcash, com tecnologia de SSL 128 bits e com envio codificado dos seus dados. Não será armazenado nenhuma informação como números, validades ou mesmo código de segurança de seu cartão, imediatamente destruídos logo após o processamento do pagamento. Tais informações serão processadas diretamente pelo Bcash.</div></br>
			<br><div align=\"center\">Sua compra está em processo de finalização.</div><br/>
			<div align=\"center\">Caso a página de finalização de pagamento não se inicie automaticamente clique abaixo</div><br></br>
			<div align=\"center\"><a id='bcash' onclick=\"document.getElementById('overlay-bcash').style.display='block';\" data-lyte-options='width:970px height:700px'><img src=\"logo.gif\" border=\"0\"></a></div>
				<div id='overlay-bcash' style=\"display: none;\" onclick=\"this.style.display = 'none';\">
					<center>
						<div id='lightbox'>
							<img id='close_overlay_bcash' src='close.png'>
							<iframe style='border:0px' width='100%' height='100%' name='bcash_frame' src='form_bcash.html'></iframe>
						</div>
					</center>
				</div>
				<br><br><div id='return-orders' align='center'> Finalizou o pagamento? Acompanhe seus pedidos <a href=\"$url_pedidos\">aqui</a> </div></br></br>
			</body>";
			
		$this->response->setOutput($this->render());
	}
}
?>
